aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Ogden <benie.ogden@linaro.org>2014-06-20 12:44:35 +0100
committerBernard Ogden <benie.ogden@linaro.org>2014-06-20 12:44:35 +0100
commit9b42787cca043e60f1d22b8f42a8d5bcc5e4b8da (patch)
treeb0c3845e95aa2fbaa8baff230f5d1457985019b4
parent957cead65ad5efe379c8a0614ca0879d63be80c8 (diff)
Hack out freq fiddles
-rw-r--r--lib/targetcontrol.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/lib/targetcontrol.sh b/lib/targetcontrol.sh
index 101358a..3727531 100644
--- a/lib/targetcontrol.sh
+++ b/lib/targetcontrol.sh
@@ -100,12 +100,12 @@ controlled_run()
fi
# TODO: also fix to a low frequency, so we don't melt?
# Disable frequency scaling
- old_governor=$(cpufreq-info -p | cut -f 3 -d " ")
- if test "x$old_governor" = "x" \
- || ! $sudo cpufreq-set -g performance; then
- old_governor=""
- warning "Frequency scaling not supported"
- fi
+ #old_governor=$(cpufreq-info -p | cut -f 3 -d " ")
+ #if test "x$old_governor" = "x" \
+ # || ! $sudo cpufreq-set -g performance; then
+ # old_governor=""
+ # warning "Frequency scaling not supported"
+ #fi
# Bind all existing processes to CPU #0. We then run benchmarks on CPU #1.
# Note that some processes cannot be bound (e.g. ksoftirqd, which is a per-cpu kernel thread)
@@ -166,12 +166,12 @@ controlled_run()
done
fi
- if [ "x$old_governor" != "x" ]; then
- $sudo cpufreq-set -g $old_governor
- if test $? -gt 0; then
- warning "Failed to restore freq"
- fi
- fi
+ #if [ "x$old_governor" != "x" ]; then
+ # $sudo cpufreq-set -g $old_governor
+ # if test $? -gt 0; then
+ # warning "Failed to restore freq"
+ # fi
+ #fi
if test $result -gt 0; then
error "$cmd failed"